TEMPLATES
Get template layer schema
Returns named layers and overridable attribute schemas for a template. Use this to build valid `layers` payloads for render requests.
get
/api/v1/templates/{id}/schemaReturns named layers and overridable attribute schemas for a template. Use this to build valid layers payloads for render requests.
AuthorizationBearer <token>
API key as Authorization: Bearer <key>
In: header
Path Parameters
id*string
Template ID
Format
uuidQuery Parameters
version?integer
Pin a specific design version; omit for latest
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/templates/497f6eca-6276-4993-bfeb-53cbbbba6f08/schema"{ "template": "060ce75e-87d6-4677-b330-eaee58e54138", "name": "string", "description": "string", "version": 0, "layers": [ { "id": "string", "parentId": "string", "childIds": [ "string" ], "pageIndex": 0, "pageName": "string", "layerType": "string", "layerName": "string", "attributes": [ { "key": "string", "label": "string", "type": "string", "value": null, "required": true } ] } ]}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}{ "error": "string", "code": "UNAUTHORIZED", "details": {}, "message": "string"}